From ffe666291bc531b89620cc28a7b45fa209700f35 Mon Sep 17 00:00:00 2001
From: yogev <yogev@cgstowernetworks.com>
Date: Sun, 4 May 2025 23:11:46 +0300
Subject: [PATCH] net/mlx5: fix transceiver warning when not exist

In case no transceiver exist when trying to get the transceiver's info
There should not be an error message from the library.
The caller may print an appropriate error message using the relevant rte_errno if required.

Signed-off-by: yogev <yogev@cgstowernetworks.com>
---
 drivers/net/mlx5/linux/mlx5_ethdev_os.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/drivers/net/mlx5/linux/mlx5_ethdev_os.c b/drivers/net/mlx5/linux/mlx5_ethdev_os.c
index e192f698d8..ba5fd2d253 100644
--- a/drivers/net/mlx5/linux/mlx5_ethdev_os.c
+++ b/drivers/net/mlx5/linux/mlx5_ethdev_os.c
@@ -1253,8 +1253,10 @@ mlx5_get_module_info(struct rte_eth_dev *dev,
 	}
 	ret = mlx5_ifreq(dev, SIOCETHTOOL, &ifr);
 	if (ret) {
-		DRV_LOG(WARNING, "port %u ioctl(SIOCETHTOOL) failed: %s",
-			dev->data->port_id, strerror(rte_errno));
+		if (rte_errno != EIO) {
+			DRV_LOG(WARNING, "port %u ioctl(SIOCETHTOOL) failed: %s",
+				dev->data->port_id, strerror(rte_errno));
+		}
 		return ret;
 	}
 	modinfo->type = info.type;
-- 
2.34.1

